.correction-qroc-box__answer {
  max-width: 90vw;
}

.correction-qroc-box-answer {
  max-width: 100%;
  height: 26px;
  padding: 0 10px;
  font-size: 1rem;
  line-height: 1.5rem;
  background-color: $pix-neutral-0;
  border: solid 1px $pix-neutral-20;
  border-radius: 3px;
  box-shadow: inset 0 1px 3px 0 rgb(0 0 0 / 15%);

  &--paragraph {
    width: 100%;
    height: auto;
    resize: vertical;
  }

  &--sentence {
    width: 100%;
  }

  &--correct {
    color: $pix-success-70;
    font-weight: $font-bold;
  }

  &--wrong {
    color: $red;
    text-decoration: line-through;
  }

  &--aband {
    color: $pix-neutral-80;
    font-style: italic;
  }
}
